Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKSpanElement Class Reference

`#include <IWORKSpanElement.h>`

Inheritance diagram for libetonyek::IWORKSpanElement:

## Public Member Functions
| IWORKSpanElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | text (const char *value) override
void | endOfElement () override
void | ensureOpened ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
IWORKStylePtr_t | m_style
bool | m_opened
IWORKBreakType | m_delayedBreak

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKSpanElement()

libetonyek::IWORKSpanElement::IWORKSpanElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKSpanElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| override protected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKSpanElement::element | ( | int | name | ) |
| override protected

## ◆ endOfElement()

void libetonyek::IWORKSpanElement::endOfElement | ( |  | ) |
| override protected

## ◆ ensureOpened()

void libetonyek::IWORKSpanElement::ensureOpened | ( |  | ) |
| protected

Referenced by element(), and text().

## ◆ text()

void libetonyek::IWORKSpanElement::text | ( | const char * | value | ) |
| override protected

## Member Data Documentation

## ◆ m_delayedBreak

IWORKBreakType libetonyek::IWORKSpanElement::m_delayedBreak
| private

Referenced by element(), and endOfElement().

## ◆ m_opened

bool libetonyek::IWORKSpanElement::m_opened
| private

Referenced by endOfElement(), and ensureOpened().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKSpanElement::m_style
| private

Referenced by attribute(), and ensureOpened().

The documentation for this class was generated from the following files:

- IWORKSpanElement.h
- IWORKSpanElement.cpp